from django.conf import settings

from rest_framework import serializers

from authentication.models import User


class RegisterSerializer(serializers.ModelSerializer):
    id = serializers.UUIDField(required=False, read_only=True)
    username = serializers.CharField(max_length=50, required=True)
    firstName = serializers.CharField(max_length=50, required=False)
    lastName = serializers.CharField(max_length=50, required=False)
    email = serializers.EmailField(required=False)

    class Meta:
        model = User
        fields = ('id', 'password', 'username', 'email', 'firstName', 'lastName')


class UserSerializer(serializers.ModelSerializer):
    id = serializers.UUIDField(required=False, read_only=True)
    username = serializers.CharField(max_length=50, required=True)
    firstName = serializers.CharField(max_length=50, required=False)
    lastName = serializers.CharField(max_length=50, required=False)
    email = serializers.EmailField(required=False)

    class Meta:
        model = User
        fields = ('id', 'username', 'email', 'firstName', 'lastName')

class RefreshSerializer(serializers.Serializer):
    refreshToken = serializers.CharField(max_length=settings.REFRESH_TOKEN_LENGTH, required=True)